summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-misc/godep/godep-9999.ebuild44
-rw-r--r--net-p2p/syncthing/syncthing-9999.ebuild61
-rw-r--r--sets.conf2
3 files changed, 106 insertions, 1 deletions
diff --git a/app-misc/godep/godep-9999.ebuild b/app-misc/godep/godep-9999.ebuild
new file mode 100644
index 00000000..38ba91da
--- /dev/null
+++ b/app-misc/godep/godep-9999.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+inherit git-r3
+
+RESTRICT="strip"
+
+DESCRIPTION="native bindings for the FUSE kernel module"
+HOMEPAGE="https://github.com/tools/godep"
+EGIT_REPO_URI="https://github.com/tools/${PN}.git"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="dev-lang/go"
+RDEPEND=""
+
+GO_PN="github.com/tools/${PN}"
+EGIT_CHECKOUT_DIR="${S}/src/${GO_PN}"
+
+export GOPATH="${S}"
+
+src_prepare() {
+ go get ${GO_PN}
+}
+
+src_compile() {
+ go build -v -x -work ${GO_PN} || die
+}
+
+src_install() {
+# go install -v -x -work ${GO_PN} || die
+
+dobin ${S}/bin/godep
+#insinto /usr/lib/go/
+#doins -r "${S}/pkg"
+#insinto /usr/lib/go/src/pkg
+#doins -r "${S}/src/."
+}
diff --git a/net-p2p/syncthing/syncthing-9999.ebuild b/net-p2p/syncthing/syncthing-9999.ebuild
new file mode 100644
index 00000000..f93aeb6a
--- /dev/null
+++ b/net-p2p/syncthing/syncthing-9999.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: This ebuild is from mva overlay; Bumped by mva; $
+
+EAPI="5"
+
+#if [ "$PV" != "9999" ]; then
+# SRC_URI="https://github.com/calmh/${PN}/archive/v${PV}.tar.gz"
+# KEYWORDS="~amd64 ~x86 ~arm ~darwin ~winnt ~fbsd"
+#else
+ vcs="git-r3"
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/syncthing/${PN}"
+ KEYWORDS=""
+#fi
+
+inherit eutils base ${vcs}
+
+DESCRIPTION="Open, trustworthy and decentralized syncing engine (some kind of analog of DropBox and BTSync)"
+HOMEPAGE="http://syncthing.net"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS=""
+IUSE="tools"
+
+DEPEND="
+ dev-lang/go
+ app-misc/godep
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( README.md CONTRIBUTORS LICENSE CONTRIBUTING.md )
+
+export GOPATH="${S}"
+
+GO_PN="github.com/syncthing/${PN}"
+EGIT_CHECKOUT_DIR="${S}/src/${GO_PN}"
+S="${EGIT_CHECKOUT_DIR}"
+
+src_compile() {
+ # XXX: All the stuff below needs for "-version" command to show actual info
+ local version="$(git describe --always | sed 's/\([v\.0-9]*\)\(-\(beta\|alpha\)[0-9]*\)\?-/\1\2+/')";
+ local date="$(git show -s --format=%ct)";
+ local user="$(whoami)"
+ local host="$(hostname)"; host="${host%%.*}";
+ local lf="-w -X main.Version ${version} -X main.BuildStamp ${date} -X main.BuildUser ${user} -X main.BuildHost ${host}"
+
+ godep go build -ldflags "${lf}" -tags noupgrade ./cmd/syncthing
+
+ use tools && (
+ godep go build ./cmd/stcli
+ godep go build ./cmd/stpidx
+ godep go build ./discover/cmd/discosrv
+ )
+}
+
+src_install() {
+ dobin syncthing
+ use tools && dobin stcli stpidx discosrv
+}
diff --git a/sets.conf b/sets.conf
index a07aa1be..f7bb90bc 100644
--- a/sets.conf
+++ b/sets.conf
@@ -1,4 +1,4 @@
[kogaion sets]
class = portage.sets.files.StaticFileSet
multiset = true
-directory = ${repository:kogaion-distro}/sets/
+directory = ${repository:kogaion-desktop}/sets/